org.hibernate.search.engine.impl

## Class AnnotationProcessingHelper

- java.lang.Object
- - org.hibernate.search.engine.impl.AnnotationProcessingHelper

-     public final class AnnotationProcessingHelper
      extends Object

  A helper classes dealing with the processing of annotation. It is there to share some annotation processing between the document builder and other metadata classes, eg `FieldMetadata`. In the long run this class might become obsolete.
  Author:
    Hardy Ferentschik

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AnalyzerReference` | `getAnalyzerReference(Analyzer analyzerAnn, ConfigContext configContext, IndexManagerType indexManagerType)`
    `static AnalyzerReference` | `getAnalyzerReference(IndexedTypeIdentifier indexedTypeIdentifier, DocumentFieldPath fieldPath, Analyzer analyzerAnn, Normalizer normalizerAnn, ConfigContext configContext, IndexManagerType indexManagerType)`
    `static Float` | `getBoost(org.hibernate.annotations.common.reflection.XProperty member, Annotation fieldAnn)`
    `static BoostStrategy` | `getDynamicBoost(org.hibernate.annotations.common.reflection.XAnnotatedElement element)`
    `static String` | `getFieldName(Annotation fieldAnn)`
    `static Field.Index` | `getIndex(Index index, Analyze analyze, Norms norms)` Using the passed field (or class bridge) settings determines the Lucene `Field.Index`
    `static AnalyzerReference` | `getNormalizerReference(Normalizer normalizerAnn, ConfigContext configContext, IndexManagerType indexManagerType)`
    `static Integer` | `getPrecisionStep(NumericField numericFieldAnn)`
    `static Field.TermVector` | `getTermVector(TermVector vector)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getIndex

          public static Field.Index getIndex(Index index,
                                             Analyze analyze,
                                             Norms norms)

      Using the passed field (or class bridge) settings determines the Lucene `Field.Index`
      Parameters:
        `index` - is the field indexed or not
        `analyze` - should the field be analyzed
        `norms` - are norms to be added to index
      Returns:
        Returns the Lucene `Field.Index` value for a given field

    - #### getBoost

          public static Float getBoost(org.hibernate.annotations.common.reflection.XProperty member,
                                       Annotation fieldAnn)

    - #### getDynamicBoost

          public static BoostStrategy getDynamicBoost(org.hibernate.annotations.common.reflection.XAnnotatedElement element)

    - #### getTermVector

          public static Field.TermVector getTermVector(TermVector vector)

    - #### getAnalyzerReference

          public static AnalyzerReference getAnalyzerReference(IndexedTypeIdentifier indexedTypeIdentifier,
                                                               DocumentFieldPath fieldPath,
                                                               Analyzer analyzerAnn,
                                                               Normalizer normalizerAnn,
                                                               ConfigContext configContext,
                                                               IndexManagerType indexManagerType)

    - #### getAnalyzerReference

          public static AnalyzerReference getAnalyzerReference(Analyzer analyzerAnn,
                                                               ConfigContext configContext,
                                                               IndexManagerType indexManagerType)

    - #### getNormalizerReference

          public static AnalyzerReference getNormalizerReference(Normalizer normalizerAnn,
                                                                 ConfigContext configContext,
                                                                 IndexManagerType indexManagerType)

    - #### getPrecisionStep

          public static Integer getPrecisionStep(NumericField numericFieldAnn)

    - #### getFieldName

          public static String getFieldName(Annotation fieldAnn)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved